Bug 65356 - Insert pictures from photo album does not link pictures
Summary: Insert pictures from photo album does not link pictures
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.1.0.0.beta1
Hardware: Other All
: medium normal
Assignee: Samuel Mehrbrodt (CIB)
QA Contact:
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-04 14:35 UTC by pierre-yves samyn
Modified: 2016-10-21 09:39 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pierre-yves samyn 2013-06-04 14:35:57 UTC
Hello

Insert pictures from photo album does not link pictures 

Steps to reproduce:
1. File> New> Presentation
2. Insert> Picture> Photo Album> Add
3. Select pictures, 
4. Check "link" box, click Open, Insert Slides

The pictures are embedded, not linked.

Regards
Pierre-Yves
Comment 1 pierre-yves samyn 2013-06-15 05:58:35 UTC
Hello

Reproduced on windows 7 64bits with:

Version: 4.1.0.0.beta2+
Build ID: 509fa206b0f612d61740632c59351b69bbcfcad
TinderBox: Win-x86_9-Voreppe, Branch:libreoffice-4-1, Time: 2013-06-13_12:35:41

Regards
Pierre-Yves
Comment 2 Michael Meeks 2013-06-18 15:32:28 UTC
Hi Gergo - any chance you could look at this ? :-)

Thanks !
Comment 3 QA Administrators 2015-04-01 14:42:48 UTC Comment hidden (obsolete)
Comment 4 pierre-yves samyn 2015-04-03 09:10:29 UTC
Hi

Still present on Windows 7/64 & Version: 4.4.2.2
Build ID: c4c7d32d0d49397cad38d62472b0bc8acff48dd6
Locale : fr_FR

Regards
Pierre-Yves
Comment 5 tommy27 2016-04-16 07:25:40 UTC Comment hidden (obsolete)
Comment 6 pierre-yves samyn 2016-04-22 10:51:38 UTC
Hi

Still reproduced on windows 7/64 & Version: 5.2.0.0.alpha1 (x64)
Build ID: 902b28a39528b6c92602e9b521a1d0861be1caf9
Threads CPU : 2; Version de l'OS :Windows 6.1; UI Render : par défaut; 
Locale : fr-FR (fr_FR)

New Steps to reproduce:
1. File> New> Presentation
2. Insert> Media> Photo Album> Add
3. Select pictures, 
4. Check "link" box, click Open, Insert Slides

The pictures are embedded, not linked.

Regards
Pirre-Yves
Comment 7 Commit Notification 2016-06-30 10:28:21 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=49f93558f073f97e33f3303ebca823a14e238e99

tdf#65356 Photo Album: Allow inserting images as link

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2016-06-30 11:43:37 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d12ed381be17a6bb2dac33ac82c46d85dcd41771

tdf#65356 Photo Album: Disable "Insert Link" in the add dialog

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 pierre-yves samyn 2016-10-21 09:39:42 UTC
Hi

Verified on windows 7/64 & Version: 5.3.0.0.alpha1+
Build ID: 8a796410ec8f440b4163b15b928347c499da7a8f
CPU Threads: 2; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-10-20_23:07:21
Locale: fr-FR (fr_FR); Calc: group

For the record, new steps:

1. File> New> Presentation
2. Insert> Media> Photo Album> Add
3. Select pictures, 
4. Check "link images" box, click Insert Slides


Thank you :)

Regards
Pierre-Yves